Skip to main content
POST
Creates a new category.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Creates a new category. - Request

name
string
required

The name of the category.

parentId
string<uuid>

The ID of the parent category of the category.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

sortNumber
integer<int32>

The sort number of the category.

Response

The category was successfully created.

Creates a new category. - Response

categoryId
string<uuid>
required

The ID of the newly created category.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"